//
//  Help.m
//  traceWrite
//
//  Created by 今井 彰彦 on 11/10/09.
//  Copyright 2011 AIG-Soft. All rights reserved.
//

#import "Help.h"
#import	"main.h"
#import "click.h"

@implementation Help

//-------------------------------------------------------------------

-(void)viewDidLoad
{
	printSelf();
    [super viewDidLoad];

	// iOS7で、viewの下にあるUIScrollViewを内包するUI要素(UITableView/UIScrollView/UIWebViewなど)のスクロール開始位置が勝手にずらされるのを禁止する
	self.automaticallyAdjustsScrollViewInsets=NO;
	//
	self.title=NSLocalStr(@"HELPTITLE");
	
	self.navigationItem.leftBarButtonItem=[[UIBarButtonItem alloc] initWithTitle:NSLocalStr(@"CLOSE") style:UIControlStateNormal target:target action:selector];
	//
	alertView=[[AlertViewSub alloc]init];
	
	// Helpが何故かローカライズされないので、プログラム的に行う
	UIView *content;
	if ([NSLocalStr(@"LOCAL") isEqualToString:LOCAL_JAPAN]) {
		// 日本語のとき
		content=contentViewJ;
	} else {
		content=contentViewE;
	}
	scView.contentSize=content.frame.size;	// このサイズ指定が重要

	if (getSystemVersion()<8.0) {
		if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad) {
			// iOS7のiPadでは何故か上部に空白ができるので対策
			CGRect frame=scView.frame;
			printFrame(@"scView.frame", frame);
			frame.size.height+=frame.origin.y;
			frame.origin.y=0;
			scView.frame=frame;
		}
	}
	
	scView.scrollIndicatorInsets=scView.contentInset;
	scView.showsVerticalScrollIndicator=YES; // 垂直スクロールバー表示

	[scView addSubview:content];
}

-(void)viewWillAppear:(BOOL)animated
{
	[super viewWillAppear:animated];
	printSelf();
}

// ビューが消えた
-(void)viewDidDisappear:(BOOL)animated
{
	printSelf();
	[super viewDidDisappear:animated];
	
	_fclosePopover=YES; // もう画面は閉じたの印
}

// ビューが表示された
-(void)viewDidAppear:(BOOL)animated
{
	printSelf();
	[super viewDidAppear:animated];
	_fclosePopover=NO; // 画面を表示したの印
}

//---------------------------------------------------

-(void)open:(id)target_ selector:(SEL)selector_
// target:selector=閉じるときの処理
{
	printSelf();
	target	=target_;
	selector=selector_;
	// ここでnaviItemに設定しても無効
}

//---------------------------------------------------

-(void)link:(id)sender
{
	printSelf();
	// リンクへ飛ぶ
	NSURL *url=[NSURL URLWithString:NSLocalStr(@"LINK")];
	nslog(@"url=%@",url);
	[[UIApplication sharedApplication] openURL:url]; // httpがあるので自動的にブラウザが立ち上がる
}

-(IBAction)pushButton:(UIButton *)btn
{
	printSelf();
	switch (btn.tag) {
		case BTN_SUPPORT:
			nslog(@"サポートHPを開く");
			[alertView alertExecute:YES target:self selector:@selector(link:) delay:0.0 title:@"" message:@"SUPPORT"]; // ここでクリック音がなる
			break;
	}
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

//---------------------------------------------------

// 回転検出：回転前
- (void)willAnimateRotationToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation duration:(NSTimeInterval)duration
{
	printSelfs(@"Orientation=%d",(int)interfaceOrientation);
	understandOrientation(interfaceOrientation); // 画面方向を記録
	// interfaceOrientationは新しい方向
	switch (interfaceOrientation) {
		default: // 警告回避のため
		case UIInterfaceOrientationPortrait:
		case UIInterfaceOrientationPortraitUpsideDown:
			nslog(@"縦方向");
			break;
		case UIInterfaceOrientationLandscapeLeft:
		case UIInterfaceOrientationLandscapeRight:
			nslog(@"横方向");
			break;
	}
}

//----------------------------------------------
// 画面を回転して良いかどうか
// iOS6.0

-(BOOL)shouldAutorotate
{
	printSelf();
	return shouldAutorotateByMain();
}

- (NSUInteger)supportedInterfaceOrientations
{
	printSelf();
	return (supportedInterfaceOrientationsByMain());
}

//---------------------------------------------------

@end
